Docs

Reference

Create / edit a stage

Create or edit a pipeline stage.

View MarkdownThis page is generated from the source code on every release.

Create or edit a pipeline stage.

Overview

Name Value
Code stages.save
Scope needed crm.write
Risk Write
May need confirmation No
Runs as Answers right away
Needs Idempotency-Key No
Member roles allowed owner, manager
In the app People → Pipeline

Input fields

Field Type Required Description
id uuid No
name text Yes
color "gray" | "blue" | "green" | "yellow" | "red" | "violet" Yes
kind "open" | "won" | "lost" No

Example request

curl -X POST https://tlg.builera.app/api/public/v2/ops/stages.save \
  -H "Authorization: Bearer $TELEGRAM_AUTO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"name":"…","color":"gray"}'

Output fields (data)

Field Type Required
ok true Yes

Example answer

{
  "data": {
    "ok": true
  }
}

Using it over MCP

Not listed on any profile: call tools_describe then tools_run with code: "stages.save". Tool name when listed: stages_save.

Was this page helpful?

Last checked: 10/24/2026 · build 2.0